program NovaSim;

uses
  GnuGetText in 'units\GnuGetText.pas',
  LangUtils in 'units\LangUtils.pas',
  Forms,
  Graphics,
  NovaMain in 'NovaMain.pas' {MainForm},
  NumberEd in 'units\NumberEd.pas',
  InpValue in 'InpValue.pas' {ValueDialog},
  InpCommand in 'InpCommand.pas' {CommandDialog},
  WriteProg in 'WriteProg.pas' {WritePrgDialog},
  FpNova3D in 'FpNova3D.pas' {NovaFrontpanel},
  ShellDirDlg in 'units\ShellDirDlg.pas' {ShellDirDialog},
  ShowTrace in 'ShowTrace.pas' {TraceWin},
  ShowWatch in 'ShowWatch.pas' {WatchWin},
  ShowBreakpoints in 'ShowBreakpoints.pas' {BpWin},
  SelectFromListDlg in 'units\SelectFromListDlg.pas' {SelectFromListDialog};

{$R *.res}

begin
  TP_GlobalIgnoreClass(TFont);
  // Subdirectory in AppData for user configuration files and supported languages
  InitTranslation('JR-WeicheWare','',['delphi10','units']);

  Application.Initialize;
  Application.Title := 'Nova-Simulator';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TValueDialog, ValueDialog);
  Application.CreateForm(TCommandDialog, CommandDialog);
  Application.CreateForm(TWritePrgDialog, WritePrgDialog);
  Application.CreateForm(TNovaFrontpanel, NovaFrontpanel);
  Application.CreateForm(TShellDirDialog, ShellDirDialog);
  Application.CreateForm(TTraceWin, TraceWin);
  Application.CreateForm(TWatchWin, WatchWin);
  Application.CreateForm(TBpWin, BpWin);
  Application.CreateForm(TSelectFromListDialog, SelectFromListDialog);
  Application.Run;
end.
